SPI_scroll_cursor_fetch
Prev | Up | 46.1. Interface Functions | Home | Next

## SPI_scroll_cursor_fetch

SPI_scroll_cursor_fetch — fetch some rows from a cursor

## Synopsis

    void SPI_scroll_cursor_fetch(Portal portal, FetchDirection direction,
                                 long count)

## Description

`SPI_scroll_cursor_fetch` fetches some rows from a cursor. This is equivalent to the SQL command `FETCH`.

## Arguments

`Portal `portal``

  portal containing the cursor

`FetchDirection `direction``

  one of `FETCH_FORWARD`, `FETCH_BACKWARD`, `FETCH_ABSOLUTE` or `FETCH_RELATIVE`

`long `count``

  number of rows to fetch for `FETCH_FORWARD` or `FETCH_BACKWARD`; absolute row number to fetch for `FETCH_ABSOLUTE`; or relative row number to fetch for `FETCH_RELATIVE`

## Return Value

`SPI_processed` and `SPI_tuptable` are set as in `SPI_execute` if successful.

## Notes

See the SQL FETCH command for details of the interpretation of the `direction` and `count` parameters.

Direction values other than `FETCH_FORWARD` may fail if the cursor's plan was not created with the `CURSOR_OPT_SCROLL` option.

Prev | Up | Next
SPI_cursor_move | Home | SPI_scroll_cursor_move